<template>
  <div v-if="selectedThemeName === 'modern'">
    <AboutUSBMM1 v-if="isMobile" />
    <AboutUSBMD1 v-else />
  </div>
  <single-privacy-content
    v-else
    :keys="{ title: 'footer_menu_info_1', content: 'menu_content_1_1' }"
  />
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { store } from "~~/store";
import AboutUSBMD1 from "@/components/theme/desktop/modern/about-us.client.vue";
import AboutUSBMM1 from "@/components/theme/mobile/modern/about-us.client.vue";

export default defineComponent({
  components: {
    AboutUSBMD1,
    AboutUSBMM1,
  },
  setup() {
    const isMobile = !useIsDesktop();
    const selectedThemeName = computed(() => store.state.selectedThemeName);
    return {
      isMobile,
      selectedThemeName,
    };
  },
});
</script>
